Allow all parameter types to be optional

2012-04-24 10:09 AM - Julien Malik

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15106

Description

Currently only layers can be.

It is usefull also for all other types (number, string, file, crs, ...)

Tried gdalwarp, it is surprising to see the "source crs" param filled with 4326 while the layer is utm.

History

#1 - 2012-04-24 10:33 AM - Victor Olaya

Yes, that is not good, but now only a default value can be set...and the default value cannot change for each layer. That would require creating a custom

interface for the algorithm

#2 - 2014-10-04 12:08 PM - Giovanni Manghi

- Category deleted (63)

- Project changed from 78 to QGIS Application

#3 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2015-11-12 01:56 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Target version set to Version 2.14

Implemented in the commit 55e75addcecdcfe7d8f611506ad7ab1fc7970ec0
